Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.swing
Class SwingWorkerDelegator

    java.lang.Object
      com.eviware.soapui.support.swing.SwingWorker
          com.eviware.soapui.support.swing.SwingWorkerDelegator

    public class SwingWorkerDelegator

extends SwingWorker

Author:
  Lars Høidahl

Constructor Summary
`SwingWorkerDelegator(com.eviware.x.dialogs.XProgressMonitor monitor, com.eviware.x.dialogs.XProgressDialog dialog, com.eviware.x.dialogs.Worker delegate)` Start a thread that will call `delegate.construct` and then exit.

Method Summary
`java.lang.Object` | `construct()` Compute the value to be returned by the `get` method.
`void` | `finished()` Called on the event dispatching thread (not on the worker thread) after the `construct` method has returned.

Methods inherited from class com.eviware.soapui.support.swing.SwingWorker
`get, getValue, interrupt, setValue, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwingWorkerDelegator

    public SwingWorkerDelegator(com.eviware.x.dialogs.XProgressMonitor monitor,
                                com.eviware.x.dialogs.XProgressDialog dialog,
                                com.eviware.x.dialogs.Worker delegate)

  Start a thread that will call `delegate.construct` and then exit.

Method Detail

### construct

    public java.lang.Object construct()

  Compute the value to be returned by the `get` method.

  Specified by:
    `construct` in class `SwingWorker`

### finished

    public void finished()

  Called on the event dispatching thread (not on the worker thread) after the `construct` method has returned.

  Overrides:
    `finished` in class `SwingWorker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.